Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationDesc.ElementValuePair

- Enclosing interface:
    AnnotationDesc

  Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public static interface AnnotationDesc.ElementValuePair

  Represents an association between an annotation type element and one of its values.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationTypeElementDoc` | `element​()` | Deprecated. Returns the annotation type element.
    `AnnotationValue` | `value​()` | Deprecated. Returns the value associated with the annotation type element.

- - ### Method Detail

    - #### element

          AnnotationTypeElementDoc element​()

      Deprecated.
      Returns the annotation type element.
      Returns:
        the annotation type element.

    - #### value

          AnnotationValue value​()

      Deprecated.
      Returns the value associated with the annotation type element.
      Returns:
        the value associated with the annotation type element.